Package org.eclipse.cdt.core.language.settings.providers

## Interface ICBuildOutputParser

All Superinterfaces:
  `IConsoleParser`

    public interface ICBuildOutputParser
    extends IConsoleParser

Console parser interface extended to support language settings providers.

Since:
  5.4

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `processLine​(String line)` Parse one line of output.
`void` `shutdown()` Called to let the parser know that the end of the error stream has been reached.
`void` `startup​(ICConfigurationDescription cfgDescription, IWorkingDirectoryTracker cwdTracker)` Initialize console parser.

### Method Detail

#### startup

    void startup​(ICConfigurationDescription cfgDescription,
                 IWorkingDirectoryTracker cwdTracker)
          throws org.eclipse.core.runtime.CoreException

Initialize console parser.

Parameters:
  `cfgDescription` - - configuration description for the parser.
  `cwdTracker` - - tracker to keep track of current working directory.
Throws:
  `org.eclipse.core.runtime.CoreException` - if anything goes wrong.

#### processLine

    boolean processLine​(String line)

Description copied from interface: `IConsoleParser`
Parse one line of output.

Specified by:
  `processLine` in interface `IConsoleParser`
Returns:
  true if line was successfully processed; skip other console parsers

  false - try other console parsers

#### shutdown

    void shutdown()

Description copied from interface: `IConsoleParser`
Called to let the parser know that the end of the error stream has been reached. Can be used by the parser to flush its internal buffers.

Specified by:
  `shutdown` in interface `IConsoleParser`